Subject: [Sigtran] M3UA: Dynamic routing Key modification

From: "Wung, Joseph" <[email-masked]>
Date: Mon, 29 Jul 2002 09:00:44 -0400

We seem to be lacking explicit Routing Key modification procedures.  
When it is needed to change an existing Routing Key, M3UA implies that 
the ASP first moves to the ASP-INACTIVE state, deregisters the Routing 
Key, waits for a DEREG RSP message, and registers with the SGP as an ASP 
within a new AS, i.e., the updated Routing Key.  These modification 
procedures present a few problems.  The entire range of signaling traffic 
specified by the original Routing Key is blocked from this ASP during 
the modification.  The registration of the new Routing Key later from 
this ASP may be rejected if one or more other ASPs continue to be 
associated with the original Routing Key.
 
The entire range of signaling traffic is blocked.  As an example, an ASP 
has a Routing Key that contains SI/DPC/OPC/CIC(1-10), and needs to remove 
only CIC 5 from the Key.  The ASP sends an ASP-INACTIVE message to the SGP 
for this Routing Key. Then the SGP ceases delivering signaling traffic to 
the requesting ASP altogether that is related to CIC 1-10. Even though it 
is intended to delete CIC 5, the other circuits are also blocked from 
receiving traffic until they can be successfully registered again.
   
The new registration of CIC(1-4) and (6-10), using the same example above, 
may not succeed.  Suppose one or more other ASPs are still associated with 
the original CIC(1-10.)   The registration of CIC(1-4) and (6-10) will 
receive an Error message - "Cannot Support Unique Routing" before all other
ASPs have deregistered the same key.

Any suggestions on how to get around this problem?

Joe

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: Ken Morneault <[email-masked]>
Date: Mon, 29 Jul 2002 09:08:02 -0400

Joe,

There was a long thread about this topic many months ago.  You should
check the email archives.

Regards,

Ken

---

From: "Wung, Joseph" <[email-masked]>
Date: Mon, 29 Jul 2002 09:19:56 -0400

Ken,

I'm a relatively new subscriber to the M3UA mailing list, and
thought this issue might have been discussed before.  Can you
or someone sum up for me and other new subscribers what the 
resolution was, that will go into the final version of M3UA?

Thanks,
Joe

-----Original Message-----
From: Ken Morneault [mailto:[email-masked]]
Sent: Monday, July 29, 2002 9:08 AM
To: Wung, Joseph; sigtran
Subject: Re: [Sigtran] M3UA: Dynamic routing Key modification

Joe,

Regards,

Ken

---

From: Ken Morneault <[email-masked]>
Date: Mon, 29 Jul 2002 09:58:32 -0400

Joe,

The text you refer to in your original email is from
the "final" version of M3UA.  Thus, it contains the
resolution to this topic.

Regards,

Ken

---

From: Ken Morneault <[email-masked]>
Date: Mon, 29 Jul 2002 11:08:12 -0400

Joe,

If you look at the archive, I believe you will find that 
this particular scenario was considered operationally
unrealistic.

Regards,

Ken

At 10:08 AM 7/29/2002 -0400, Wung, Joseph wrote:
>Ken,
>
>So are you saying that deregitering circuits that might result
>in blocking the traffic to other circuit ranges in the same AS
>is NOT an issue according to the current "final" versio of M3UA?
>
>Joe
>
>Sent: Monday, July 29, 2002 9:59 AM
>Subject: RE: [Sigtran] M3UA: Dynamic routing Key modification
>
>
>
>
>Joe,
>

---

From: "Wung, Joseph" <[email-masked]>
Date: Mon, 29 Jul 2002 17:05:49 -0400

Brian,
Ken,

I don't believe splitting an existing Routing Key is an unrealistic
scenario as Ken alluded to earlier.  I have not gotten around to 
digging into the mail archive as it relates to Routing Key Modification.  
If there is a workable solution to Routing Key Modification, shouldn't 
it be added to M3UA directly.  Adding something as critical as this to 
IG does not seem strong enough.

Joe

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Monday, July 29, 2002 2:21 PM
To: Ken Morneault
Cc: Wung, Joseph; sigtran
Subject: Re: [Sigtran] M3UA: Dynamic routing Key modification

Ken,

Well, let's see.  Three people have asked for it since it was
proposed.  Nobody has disagreed with it since it was proposed.
I know that some have implemented proprietary mechanisms to
attempt to acheive the same end (to handle the defficiencies
for ISUP).

If anyone has a problem with adding it to the IG, perhaps they
could summarize their disagreement with the proposal.  You will
find the proposal text in the thread "CIC registration" from
Sep/Oct of last year.  I believe that it is on the archives for
all to see.  Otherwise, everyone talking on the matter in the
last year requesting this capability and noone dissenting can
surely be viewed as concensus.

--brian

Ken Morneault wrote:                                          (Mon, 29 Jul
2002 13:26:23)
> 
> 
> Brian,
> 
> I did review that email and there was no indication of
> consensus to add the proposal to M3UA.  As you note, 
> John did agree to make the change for SUA.
> 
> Maybe you should repost your proposal for new 
> discussion.
> 
> Regards,
> 
> Ken
> 
> 
> At 10:16 AM 7/29/2002 -0600, Brian F. G. Bidulock wrote:
> >Ken,
> >
> >I disagree with you, and agree with Joseph.  Proper support for ISUP
> >requires the ability of M3UA to manage circuits.
> >
> >I don't believe that this was resolved at all, but slipped through the
> >cracks.  I did look in the archives an there are two threads: on in May
> >of this year where Nitin asks why the proposal of Sep/Oct wasn't
> >included; and the "CIC registration" thread of Sep/Oct which includes
> >the proposal with no dissent.  In fact, John Loughney added the
> >pertinent text to SUA.
> >
> >If you think that the final text represents concensus, you should
> >look back in the archives yourself.  This capabilty must be addressed
> >in the IG for M3UA to support ISUP.  A text proposal was given in the
> >Sep/Oct thread "CIC registration".  Please include it in the IG.
> >
> >--brian
> >
> >Wung, Joseph wrote:                               (Mon, 29 Jul 2002
10:08:11)

> >-- 
> >Brian F. G. Bidulock
> >[email-masked]
> >http://www.openss7.org/

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ong, Lyndon" <[email-masked]>
Date: Mon, 29 Jul 2002 14:55:00 -0700

Hi Guys,

To clarify a bit:  I think Ken was meaning the M3UA text as "final"
in the sense that the text is already approved and just waiting for
RFC Editor massaging before becoming an RFC, so it cannot be changed
to add new stuff (IETF procedure is that once it becomes RFC, the
text is never changed, although it can be supplemented or replaced
with a new RFC).

The IG is our way of documenting clarifications that have come up
since the M3UA text was Last Called, so that it can either come
out as a supplementary document or possibly be added to another
version of M3UA when it goes from Proposed to Draft (assuming that
it does).  A supplementary document is probably faster if the
main document is not in bad shape.

I believe the IG was initially intended to resolve especially the
issues that have come up during interoperability testing.  Was 
dynamic routing key modification something that was tested?  If
not (probably not) I would like to see more views on the list
as to whether this is perceived to be a problem or not.  If so,
then depending on the changes involved, we can either add this
to the IG or make a separate document.

Cheers,

L. Ong

-----Original Message-----
From: Wung, Joseph [mailto:[email-masked]]
Sent: Monday, July 29, 2002 2:06 PM
To: [email-masked]; Ken Morneault
Cc: sigtran
Subject: RE: [Sigtran] M3UA: Dynamic routing Key modification

Brian,
Ken,

Joe

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Monday, July 29, 2002 2:21 PM
To: Ken Morneault
Cc: Wung, Joseph; sigtran
Subject: Re: [Sigtran] M3UA: Dynamic routing Key modification

Ken,

--brian

10:08:11)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Ong, Lyndon" <[email-masked]>
Date: Mon, 29 Jul 2002 17:08:49 -0700

Hi Brian,

I didn't mean to say that the IG is restricted to interop
issues, just that the interops help to identify what might
be broken in the specification.  Other inputs do this as
well, as was the case with the SCTP checksum.

I'll check on the M3UA, it has been taking a while.  Looks
like it's near the top of the queue, though.

Cheers,

Lyndon

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Monday, July 29, 2002 4:39 PM
To: Ken Morneault; Ong, Lyndon
Cc: Wung, Joseph; sigtran
Subject: Re: [Sigtran] M3UA: Dynamic routing Key modification

Ken, Lyndon,

Attached are the threads containing the proposal and discussion.
Lyndon proposed this be an extension draft last October.  It don't
think that an extension draft should be necessary to address only
two paragraphs and one parm change.  The SCTP IG makes rather
significant changes to RFC 2960, I don't see why the same should
not happen for the M3UA IG.  Also, an IG is an implementor's guide,
not an interop report.  Interops are not a formal part of the IETF
process.  It seems bad process to me to restrict the document to
only addressing comments from those who attended an ETSI event.

M3UA claims to support ISUP.  ISUP is unmanageable without the
ability to alter circuit assignments without tearing down an AS
at the expense of losing all the calls on other circuits in the
AS.  As it stands the only way to acheive what is needed is to
assign a different RC value to each CIC from each point code and
perform AS activation and deactivation on a circuit by circuit basis.
This is not a workable situation either: performing 100,000 activations
at boot time for a large switching center using M3UA for ISUP is
not workable.  Losing hundreds or even tens of thousands of call
setups as a result of adding or deleting or moving a circuit assignment
is also unworkable.

By the way, what in the world is keeping M3UA (and particularly
M2UA which was IETF LC even longer ago) from being assigned an RFC
number?  I has been almost 6 months since the M2UA and M3UA drafts
were forwarded.  How deep is the queue?  Should we expect and RFC
number ever?

--brian

2002 18:13:53)
> 
> 
> Joe,
> 
> First, let me say "unrealistic" was the wrong word, it should
> have been "unworkable".  Of course, you should read the email 
> thread yourself and come to your own conclusion.
> 
> Further, I have to wonder how much real interest is behind this
> when the issue given the brief discussion in Sept/Oct and single 
> query in May and nothing more.  If it was a hot issue for many 
> people, I'm sure it would have been pressed to conclusion as 
> have so many other issues during these past months. 
> 
> I want to make a final note that I was not involved in the original
> email thread discussing this topic.  I have not evaluated
> the proposal and still feel it is best that it be re-posted to
> the list for discussion. 
> 
> Regards,
> 
> Ken
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/